Skip to main content
GET
/
projects
/
{project_id}
Python
import os
from unstructured import UnstructuredClient

client = UnstructuredClient(
    username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
    password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
)
project = client.projects.get(
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(project.id)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "data_source": [
    "<string>"
  ],
  "data_slice": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "taxonomy": [
    "<string>"
  ],
  "sensitive_data": false,
  "unique_data": false,
  "relevant_data": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

project_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
user_id
string
required
name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
data_source
string[]
data_slice
string<uuid> | null
taxonomy
string[]
sensitive_data
boolean
default:false
unique_data
boolean
default:false
relevant_data
boolean
default:false